Open Bug 1383061 Opened 2 years ago Updated Last year

Intermittent /css/css-backgrounds-3/border-image-slice-001.xht | Testing border-image-slice-001.xht == ref-filled-green-100px-square.xht

Categories

(Core :: CSS Parsing and Computation, defect)

defect
Not set

Tracking

()

REOPENED
mozilla59
Tracking Status
firefox59 --- fixed

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

Duplicate of this bug: 1383231
Duplicate of this bug: 1383351
Whiteboard: [stockwell needswork]
Whiteboard: [stockwell needswork] → [stockwell unknown]
the failures go up and down here, right now we have 20+ failures for this week along, heavily on linux64-stylo debug:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1383061&startday=2017-08-14&endday=2017-08-25&tree=all

here is a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=125887262

there is a reference/base image in there, I see the analyzer here:
https://hg.mozilla.org/mozilla-central/raw-file/tip/layout/tools/reftest/reftest-analyzer.xhtml#logurl=https://queue.taskcluster.net/v1/task/UikExaeyQM-stb2ypBbo0A/runs/0/artifacts/public/logs/live_backing.log&only_show_unexpected=1


:xidorn, could you help find someone to look at this if it is an easy fix?
Flags: needinfo?(xidorn+moz)
Again I don't think this is specific related to stylo. We may want to setup SETA so that stylo tests don't run that often, and you can stop thinking that stylo makes this happen more frequently.
Flags: needinfo?(xidorn+moz)
Summary: Intermittent /css/css-backgrounds-3/border-image-slice-001.xht | Testing http://web-platform.test:8000/css/css-backgrounds-3/border-image-slice-001.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht → Intermittent /css/css-backgrounds-3/border-image-slice-001.xht | Testing border-image-slice-001.xht == ref-filled-green-100px-square.xht
Component: web-platform-tests → CSS Parsing and Computation
Product: Testing → Core
Version: Version 3 → unspecified
See Also: → 1383230
See Also: → 1383233
See discussion in bug 1383682.
See Also: → 1383682
Tracking the work in bug 1383682, will revisit this in 2 weeks.
Whiteboard: [stockwell unknown] → [stockwell needswork]
In the last 7 days, there were 32 failures. 

They occur mostly on Linux32 (enabled and disabled) and the rest of them on Linux x64, Linux64-ccov.
The affected build types are debug and opt.

Here is a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=142818090&lineNumber=19347
There have been 44 failures in the last 7 days.
I can see the number of failures is trending down, starting with November 11th.

The most affected platform is Linux, but there some other failures on: Linux x64, linux32-stylo-disabled, linux64-ccov, linux64-stylo-disabled.
The failures occur mostly on the debug build type and some on opt.

Here is an example of a recent log:
https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=145061337&lineNumber=14144

And a snippet from it:

[task 2017-11-15T18:51:12.331Z] 18:51:12     INFO - TEST-START | /css/css-backgrounds-3/border-image-slice-001.xht
14141
[task 2017-11-15T18:51:12.339Z] 18:51:12     INFO - PID 6052 | 1510771872332	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds-3/border-image-slice-001.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
14142
[task 2017-11-15T18:51:12.359Z] 18:51:12     INFO - PID 6052 | ++DOMWINDOW == 25 (0xe0320400) [pid = 6160] [serial = 25] [outer = 0xe676c400]
14143
[task 2017-11-15T18:51:12.577Z] 18:51:12     INFO - PID 6052 | 1510771872569	Marionette	INFO	Found 6800 pixels different, maximum difference per channel 255
14144
[task 2017-11-15T18:51:12.613Z] 18:51:12     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds-3/border-image-slice-001.xht | Testing http://web-platform.test:8000/css/css-backgrounds-3/border-image-slice-001.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
14145
[task 2017-11-15T18:51:12.615Z] 18:51:12     INFO - REFTEST   IMAGE 1 (TEST): data:image/png;base64,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
14146
[task 2017-11-15T18:51:12.617Z] 18:51:12     INFO - REFTEST   IMAGE 2 (REFERENCE): data:image/png;base64,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
14147
[task 2017-11-15T18:51:12.617Z] 18:51:12     INFO - TEST-INFO took 279ms
14148
[task 2017-11-15T18:51:12.704Z] 18:51:12     INFO - PID 6052 | 
14149
[task 2017-11-15T18:51:12.704Z] 18:51:12     INFO - PID 6052 | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
14150
[task 2017-11-15T18:51:12.705Z] 18:51:12     INFO - PID 6052 |
Flags: needinfo?(bugs)
46 Total failures in the last week.
 
 Occurrences per build type:
 - 39 debug
 - 7 opt
 
 Occurrences per platform:
 - 19 linux
 - 12 linux32-stylo-disabled
 - 5 linux x64
 - 2 linux64-ccov
 - 8 linux64-stylo-disabled	
  
  Here is a recent log: 
  https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=147282797&lineNumber=13663
  
  and a relevant snippet from it:
  [task 2017-11-24T00:44:33.446Z] 00:44:33     INFO - TEST-START | /css/css-backgrounds/border-image-slice-001.xht
13658
[task 2017-11-24T00:44:33.447Z] 00:44:33     INFO - PID 5505 | 1511484273441	Marionette	INFO	Found 5294 pixels different, maximum difference per channel 65
13659
[task 2017-11-24T00:44:33.463Z] 00:44:33     INFO - PID 5505 | 1511484273452	Marionette	INFO	Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-001.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
13660
[task 2017-11-24T00:44:33.544Z] 00:44:33     INFO - PID 5505 | ++DOMWINDOW == 112 (0xdfdec800) [pid = 5599] [serial = 112] [outer = 0xea14a040]
13661
[task 2017-11-24T00:44:33.845Z] 00:44:33     INFO - PID 5505 | --DOMWINDOW == 9 (0xdb3d65e0) [pid = 5505] [serial = 7] [outer = (nil)] [url = about:blank]
13662
[task 2017-11-24T00:44:33.866Z] 00:44:33     INFO - PID 5505 | 1511484273860	Marionette	INFO	Found 7500 pixels different, maximum difference per channel 255
13663
[task 2017-11-24T00:44:33.922Z] 00:44:33     INFO - TEST-UNEXPECTED-FAIL | /css/css-backgrounds/border-image-slice-001.xht | Testing http://web-platform.test:8000/css/css-backgrounds/border-image-slice-001.xht == http://web-platform.test:8000/css/reference/ref-filled-green-100px-square.xht
Unlike bug 1383682, this failure is not one we can fix with fuzz. Jonathan: is this a case of the screenshot firing too early?
Flags: needinfo?(bugs) → needinfo?(jwatt)
There are 55 failures in the last 7 days, with an increase starting with 2nd of Dec.
For failure pattern see Comment 25.
(In reply to OrangeFactor Robot from comment #32)
> ** This test has failed more than 200 times in the last 30 days. It should
> be disabled until it can be fixed. ** 

I'm going to wait a bit longer since there is recent activity in bug 1383682.
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/1d6ee9c4e1eb
Disable /css/css-backgrounds-3/border-image-slice-001.xht on linux debug for frequent failures. r=me, a=testonly
:jwatt, please remember this is disabled when working on a fix for this
https://hg.mozilla.org/mozilla-central/rev/1d6ee9c4e1eb
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla59
Should this be reopened?
Recent failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=151698491&repo=mozilla-central&lineNumber=13714
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Failures continue on linux/debug. 

I *think* this will be more effective.
Assignee: nobody → gbrown
Attachment #8937870 - Flags: review?(jmaher)
I verified this on try, so going ahead with r=me.

https://treeherder.mozilla.org/#/jobs?repo=try&revision=2b879641b37eed848d7f83840959e6978125f87a
Keywords: leave-open
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Attachment #8937870 - Flags: review?(jmaher) → review+
Pushed by gbrown@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/87fce7b71e0d
Really disable wpt css/css-backgrounds/border-image-slice-001.xht on linux/debug; r=me, a=test-only
Assignee: gbrown → nobody
I never did figure this one out, and given the high percentage of WPT tests that are disabled I don't think this linux-debug only issues is worth prioritizing.
Flags: needinfo?(jwatt)
You need to log in before you can comment on or make changes to this bug.